/*
	ESSV3 Client Side Config
	
	For detailed information about these variables see:
	https://github.com/ebayShopper/ESSV3/blob/master/DOCUMENTATION.md
*/

class_selection = true; //Enable class selection dialog
#define START_ITEMS "HandRoadFlare","ItemBandage",2,"ItemPainkiller","ItemWaterbottle","FoodPistachio","PartGeneric"
class_public = [ // These are visible to anyone on the server
	[(localize "str_playerstats_bandit")+" Lvl1","Bandit1_DZ","BanditW1_DZ",[START_ITEMS,"17Rnd_9x19_glock17",2],["G17_DZ"],"",[],[],0,-5000,0,""],
	[(localize "str_playerstats_bandit")+" Lvl2","Bandit1_DZ","BanditW1_DZ",[START_ITEMS,"30Rnd_9x19_UZI",3,"ItemMorphine"],["PDW_DZ"],if (class_epoch) then {"Assault_Pack_DZE1"} else {"DZ_Assault_Pack_EP1"},[],[],0,-15000,0,""],
	[(localize "str_playerstats_bandit")+" Lvl3","Bandit1_DZ","BanditW1_DZ",[START_ITEMS,"30Rnd_9x19_UZI_SD",4,"ItemMorphine"],["PDW_SD_DZ"],if (class_epoch) then {"TK_Assault_Pack_DZE1"} else {"DZ_TK_Assault_Pack_EP1"},[],[],0,-25000,0,"MeleeHatchet"],
	[(localize "str_playerstats_hero")+" Lvl1",if (class_epoch) then {"Soldier_Sniper_PMC_DZ"} else {"Survivor3_DZ"},"SurvivorW2_DZ",[START_ITEMS,"6Rnd_45ACP",2],["Revolver_DZ"],"",[],[],0,10000,0,""],
	[(localize "str_playerstats_hero")+" Lvl2",if (class_epoch) then {"Soldier_Sniper_PMC_DZ"} else {"Survivor3_DZ"},"SurvivorW2_DZ",[START_ITEMS,"30Rnd_9x19_UZI",3,"ItemMorphine"],["PDW_DZ"],if (class_epoch) then {"Assault_Pack_DZE1"} else {"DZ_Assault_Pack_EP1"},[],[],0,20000,0,""],
	[(localize "str_playerstats_hero")+" Lvl3",if (class_epoch) then {"Soldier_Sniper_PMC_DZ"} else {"Survivor3_DZ"},"SurvivorW2_DZ",[START_ITEMS,"30Rnd_9x19_UZI_SD",4,"ItemMorphine"],["PDW_SD_DZ"],if (class_epoch) then {"TK_Assault_Pack_DZE1"} else {"DZ_TK_Assault_Pack_EP1"},[],[],0,30000,0,"MeleeHatchet"],
	[localize "str_playerstats_survivor","Survivor2_DZ","SurvivorW2_DZ",[START_ITEMS,"8Rnd_9x18_Makarov",2],["Makarov_DZ"],"",[],[],0,0,0]
];

halo_selection = true; // Enable HALO selection dialog
halo_force = false; // Skip HALO selection dialog and force HALO spawn.
halo_type = "C130J_US_EP1_DZ"; // Type of plane. Tested with C130J_US_EP1_DZ, AN2_DZ, MV22_DZ. Use "" to disable the plane and use regular HALO.

spawn_selection = true; // Enable spawn selection dialog
spawn_bodyCheck = 1500; // If a player has a body within this distance of a spawn that spawn will be blocked. Set to -1 to disable.
spawn_nearGroup = false; // Allow players to spawn near their group. BodyCheck can override.
spawn_nearPlot = true; // Allow players to spawn near their plot. BodyCheck can override.
spawn_radius = 1200; // Distance around spawn to find a safe pos. Lower is closer to exact coordinates. Do not set too low or BIS_fnc_findSafePos may fail.

spawn_public = switch (toLower worldName) do {
	case "napf": {
		[
			[localize "str_disp_srvsetup_random",[[5411,16676,0],[1511,11479,0],[12231,16319,0],[6946,17385,0],[12862,14850,0],[4672,14940,0],[2720,12226,0],[4104,13026,0],[1461,10584,0],[10283,18449,0],[10709,17085,0]],0,0,1],
			["Seltishafen",[5411,16676,0],0,0],
			["Hubel",[1511,11479,0],0,0],
			["Lausen",[12231,16319,0],0,0],	
			["Seewen",[6946,17385,0],0,0],
			["Bunig",[12862,14850,0],0,0],	
			["Bubendorf",[4672,14940,0],0,0],
			["Hindelbank",[2720,12226,0],0,0],
			["Huttwil",[4104,13026,0],0,0],
			["Ittingen",[1461,10584,0],0,0],
			["Hordstern",[10283,18449,0],0,0],
			["Magden",[10709,17085,0],0,0],
			// Above are defaults
			["South Airstrip",[18291,1790,0],0,0],
			["Buckten",[5906,5637,0],0,0],
			["Giswil",[17101,5282,0],0,0],
			["Horw",[17262,13502,0],0,0],
			["Romoos",[12694,11878,0],0,0],
			["Sachseln",[15554,10651,0],0,0],
			["Schangen",[9412,5882,0],0,0],
			["Sissach",[11111,8326,0],0,0],
			["Waldegg",[8538,852,0],0,0]
		]
	};
};